SqlStatementLexer (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.internal.antlr
Class SqlStatementLexer

    java.lang.Object
      antlr.CharScanner
          org.hibernate.hql.internal.antlr.SqlStatementLexer

All Implemented Interfaces:
  antlr.TokenStream, SqlStatementParserTokenTypes

    public class SqlStatementLexer

extends antlr.CharScanner
implements SqlStatementParserTokenTypes, antlr.TokenStream

Field Summary
`static antlr.collections.impl.BitSet` | `_tokenSet_0`
`static antlr.collections.impl.BitSet` | `_tokenSet_1`
`static antlr.collections.impl.BitSet` | `_tokenSet_2`

Fields inherited from class antlr.CharScanner
`_returnToken, caseSensitive, caseSensitiveLiterals, commitToPath, EOF_CHAR, hashString, inputState, literals, saveConsumedInput, tabsize, text, tokenObjectClass, traceDepth`

Fields inherited from interface org.hibernate.hql.internal.antlr.SqlStatementParserTokenTypes
`EOF, ESCqs, LINE_COMMENT, MULTILINE_COMMENT, NOT_STMT_END, NULL_TREE_LOOKAHEAD, QUOTED_STRING, STMT_END`

Constructor Summary
`SqlStatementLexer(antlr.InputBuffer ib)`
`SqlStatementLexer(InputStream in)`
`SqlStatementLexer(antlr.LexerSharedInputState state)`
`SqlStatementLexer(Reader in)`

Method Summary
`protected void` | `mESCqs(boolean _createToken)`
`void` | `mLINE_COMMENT(boolean _createToken)`
`void` | `mMULTILINE_COMMENT(boolean _createToken)`
`void` | `mNOT_STMT_END(boolean _createToken)`
`void` | `mQUOTED_STRING(boolean _createToken)`
`void` | `mSTMT_END(boolean _createToken)`
`antlr.Token` | `nextToken()`

Methods inherited from class antlr.CharScanner
`append, append, commit, consume, consumeUntil, consumeUntil, getCaseSensitive, getCaseSensitiveLiterals, getColumn, getCommitToPath, getFilename, getInputBuffer, getInputState, getLine, getTabSize, getText, getTokenObject, LA, makeToken, mark, match, match, match, matchNot, matchRange, newline, panic, panic, reportError, reportError, reportWarning, resetText, rewind, setCaseSensitive, setColumn, setCommitToPath, setFilename, setInputState, setLine, setTabSize, setText, setTokenObjectClass, tab, testLiteralsTable, testLiteralsTable, toLower, traceIn, traceIndent, traceOut, uponEOF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _tokenSet_0

    public static final antlr.collections.impl.BitSet _tokenSet_0

### _tokenSet_1

    public static final antlr.collections.impl.BitSet _tokenSet_1

### _tokenSet_2

    public static final antlr.collections.impl.BitSet _tokenSet_2

Constructor Detail

### SqlStatementLexer

    public SqlStatementLexer(InputStream in)

### SqlStatementLexer

    public SqlStatementLexer(Reader in)

### SqlStatementLexer

    public SqlStatementLexer(antlr.InputBuffer ib)

### SqlStatementLexer

    public SqlStatementLexer(antlr.LexerSharedInputState state)

Method Detail

### nextToken

    public antlr.Token nextToken()
                          throws antlr.TokenStreamException

  Specified by:
    `nextToken` in interface `antlr.TokenStream`
  Throws:
    `antlr.TokenStreamException`

### mSTMT_END

    public final void mSTMT_END(boolean _createToken)
                         throws antlr.RecognitionException,
                                antlr.CharStreamException,
                                antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mNOT_STMT_END

    public final void mNOT_STMT_END(boolean _createToken)
                             throws antlr.RecognitionException,
                                    antlr.CharStreamException,
                                    antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mQUOTED_STRING

    public final void mQUOTED_STRING(boolean _createToken)
                              throws antlr.RecognitionException,
                                     antlr.CharStreamException,
                                     antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mESCqs

    protected final void mESCqs(boolean _createToken)
                         throws antlr.RecognitionException,
                                antlr.CharStreamException,
                                antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mLINE_COMMENT

    public final void mLINE_COMMENT(boolean _createToken)
                             throws antlr.RecognitionException,
                                    antlr.CharStreamException,
                                    antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mMULTILINE_COMMENT

    public final void mMULTILINE_COMMENT(boolean _createToken)
                                  throws antlr.RecognitionException,
                                         antlr.CharStreamException,
                                         antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.